> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Raw Data

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/raw-data/{rawDataId}
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/raw-data/{rawDataId}:
    get:
      tags:
        - admin
      summary: Get Raw Data
      operationId: getRawData
      parameters:
        - name: rawDataId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultAdminRawDataView'
components:
  schemas:
    SuccessResultAdminRawDataView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdminRawDataView'
    AdminRawDataView:
      type: object
      properties:
        rawDataId:
          type: string
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        type:
          type: string
        sourceClient:
          type: string
        contentId:
          type: string
        segment:
          type: object
          additionalProperties: {}
        caption:
          type: string
        captionVectorId:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time

````